For the complete documentation index, see llms.txt. This page is also available as Markdown.

Shipping rates

Introduction

Through the endpoint included in the Shipping rates section, you will be able to:

  • Get information about shipping rates

Endpoints

Calculate shipping rates

post

This endpoint calculate shipping rates by given address and products

Authorizations
AuthorizationstringRequired
Header parameters
Acceptstring · enumRequired

Media type(s) that is/are acceptable for the response

Default: application/jsonPossible values:
Body
Responses
200

OK

application/json
post/shipment/rates
POST /api/v1/shipment/rates HTTP/1.1
Host: api.merchone.com
Authorization: Basic username:password
Accept: application/json
Content-Type: application/json
Content-Length: 102

{
  "address": {
    "zipcode": "10115",
    "country": "DE"
  },
  "order": [
    {
      "product_sku": "CVS0200201LWF2",
      "quantity": 1
    }
  ]
}
{
  "data": [
    {
      "type": "tracked",
      "cost": 5,
      "currency": "EUR"
    }
  ]
}

Last updated